Skip to main content
`Ctrl`+`K`

# SVDConvergedReasonView

Displays the reason an `SVD` solve converged or diverged.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDConvergedReasonView(SVD svd,PetscViewer viewer)

Collective

## Input Parameters

- svd - the singular value solver context

- viewer - the viewer to display the reason

## Options Database Key

- -svd_converged_reason - print reason for convergence/divergence, and number of iterations

## Notes

Use `SVDConvergedReasonViewFromOptions()` to display the reason based on values in the options database.

To change the format of the output call `PetscViewerPushFormat()` before this call. Use `PETSC_VIEWER_DEFAULT` for the default, or `PETSC_VIEWER_FAILED` to only display a reason if it fails. The latter can be set in the command line with `-svd_converged_reason ::failed`.

## See Also

SVD: Singular Value Decomposition, `SVDSetTolerances()`, `SVDGetIterationNumber()`, `SVDConvergedReasonViewFromOptions()`

## Level

intermediate

## Location

src/svd/interface/svdview.c

## Examples

src/svd/tutorials/ex14.c
src/svd/tutorials/ex48.c
src/svd/tutorials/ex52.c
src/svd/tutorials/ex53.c
src/svd/tutorials/ex51.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages